<?php

namespace Drp\UserManagement\Http\Middleware;

use Closure;

class Approved
{
    /**
     * Handle an incoming request.
     *
     * @param  mixed $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!$request->user()->approved) {
            return redirect()->route('approval_required');
        }
        return $next($request);
    }
}
