@extends(config('user_management.layout-admin'))

@section('content_header')
  <h1>Admin users</h1>
@stop

@section('content')

  <div class="row">
    @include('userManagement::users.partials.all-users-block')
    
    @if(config('user_management.requires_approval'))
      @include('userManagement::users.partials.awaiting-users-block')
    @endif

  </div>
  <div class="row">
    <div class="col-xs-12">
      <div class="box">
        <div class="box-header">
          <h3 class="box-title">All Users</h3>
        </div>
        <div class="box-body">
          <div class="col-sm-12">

            <p class="clearfix">
              <a href="{{ route('admin.users.create') }}" class="btn btn-flat btn-primary pull-right">
                <i class="fa fa-plus-circle"></i> Add new user
              </a>
            </p>
            <table id="articles" class="table table-bordered table-striped dataTable" role="grid">
              <thead>
              <tr role="row">
                <td>Name</td>
                <td>Email</td>
                <td>Role</td>
              </tr>
              </thead>
              <tbody>
              @each('userManagement::users.partials.list-item', $users, 'user')
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection
